/*****************************************************************************
 * $Source: /expand6/cvsroot/charm/src/Common/libs/conv-libs/master-slave/cms.h,v $
 * $Author: milind $
 * $Date: 2000/12/18 02:31:39 $
 * $Revision: 1.3 $
 *****************************************************************************/

#include <converse.h>

typedef int (*CmsWorkerFn) (void *, void *);
typedef int (*CmsConsumerFn) (void *, int);

void CmsInit(CmsWorkerFn f, int maxResponses);
void CmsFireTask(int ref, void *t, int size);
void CmsAwaitResponses(void);
void CmsProcessResponses(CmsConsumerFn f);
void *CmsGetResponse (int ref);
void CmsExit(void);
